#ifndef __AGENT_H
#define __AGENT_H

#ifdef __cplusplus
extern "C" {
#endif

#include "UPSAgent.h"

class CAgent
{
public:
	CAgent();
	~CAgent();
	
	int			Initialize();
	static void	sighandler(int signum);
	void			Run();

public:
	CPublic		m_public;
	CUPSAgent	m_upsAgent;
	static CAgent	*m_pThis;
	
private:
	int			m_iFileLock;
};

#ifdef __cplusplus
}
#endif

#endif
